﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace xamDataGrid_xamDataChart_Integration_CS
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Item> items = new ObservableCollection<Item>();
            items.Add(new Item { ID = 1001, PersonName = "谷野淳子", Photo = "Photo/谷野淳子.jpg", JanValue = 400, FebValue = 300, MarValue = 200, AprValue = 100 });
            items.Add(new Item { ID = 1002, PersonName = "山本たかし", Photo = "Photo/山本たかし.jpg", JanValue = 400, FebValue = 300, MarValue = 200, AprValue = 100 });
            items.Add(new Item { ID = 1003, PersonName = "牧野利彦", Photo = "Photo/牧野利彦.jpg", JanValue = 400, FebValue = 300, MarValue = 200, AprValue = 100 });
            items.Add(new Item { ID = 1004, PersonName = "大野ひろみ", Photo = "Photo/大野ひろみ.jpg", JanValue = 400, FebValue = 300, MarValue = 200, AprValue = 100 });

            this.DataContext = items;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // クリック行を選択状態にし、ExecuteCommand で行を削除。
            this.xamDataGrid1.SelectedItems.Records.Clear();
            this.xamDataGrid1.SelectedItems.Records.Add(this.xamDataGrid1.ActiveRecord);
            this.xamDataGrid1.ExecuteCommand(DataPresenterCommands.DeleteSelectedDataRecords);
        }
    }

    public class Item : INotifyPropertyChanged
    {
        private int _id;
        public int ID
        {
            get { return _id; }
            set
            {
                _id = value;
                OnPropertyChanged("ID");
            }
        }
        private string _personName;
        public string PersonName
        {
            get { return _personName; }
            set
            {
                _personName = value;
                OnPropertyChanged("PersonName");
            }
        }
        private string _photo;
        public string Photo
        {
            get { return _photo; }
            set
            {
                _photo = value;
                OnPropertyChanged("Photo");
            }
        }
        private int _janValue;
        public int JanValue
        {
            get { return _janValue; }
            set
            {
                _janValue = value;
                OnPropertyChanged("JanValue");
            }
        }
        private int _febValue;
        public int FebValue
        {
            get { return _febValue; }
            set
            {
                _febValue = value;
                OnPropertyChanged("FebValue");
            }
        }
        private int _marValue;
        public int MarValue
        {
            get { return _marValue; }
            set
            {
                _marValue = value;
                OnPropertyChanged("MarValue");
            }
        }
        private int _aprValue;
        public int AprValue
        {
            get { return _aprValue; }
            set
            {
                _aprValue = value;
                OnPropertyChanged("AprValue");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
